# Create a subscription This operation describes how to create a new subscription for an existing customer account. ### Notes If you have the Invoice Settlement feature enabled, it is best practice to set the Zuora-Version parameter to 211.0 or later available versions. Otherwise, an error occurs. Default values for customerAcceptanceDate and serviceActivationDate are set as follows. This API operation does not support creating a pending subscription. | | serviceActivationDate(SA) specified | serviceActivationDate (SA) NOT specified | | ------------- |:------------- | :-----| | customerAcceptanceDate (CA) specified| SA uses value in the request call; CA uses value in the request call| CA uses value in the request call;SA uses CE as default | | customerAcceptanceDate (CA) NOT specified | SA uses value in the request call; CA uses SA as default | SA and CA use CE as default | This call supports a subset of the functionality of our Create an order call. We recommend using "Create an order" instead of this call because the Orders call has the following advantages: - Provides options for managing the entire subscription lifecycle from creation through to cancellation using different order actions. - Allows the creation or modifying of multiple subscriptions in a single order. - Allows a single order to combine both recurring subscription digital goods or services with order line items for physical goods. - Orders are treated as atomic transactions. If any part fails, the entire order and subscription changes are rolled back. This call can be used to create a single subscription and there are no deprecation plans for this call. We will continue to support this call. Endpoint: POST /v1/subscriptions Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Request fields (application/json): - `accountKey` (string, required) Customer account number or ID Example: "8ad09be48db5aba7018db604776d4854" - `applicationOrder` (array) The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: CreditMemo, UnappliedPayment. Note: - This field is valid only if the applyCredit field is set to true. - If no value is specified for this field, the default priority order is used, ["CreditMemo", "UnappliedPayment"], to apply credit memos first and then apply unapplied payments. - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is ["CreditMemo"], only credit memos are used to apply to invoices. - `applyCredit` (boolean) If the value is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices. Note: This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `applyCreditBalance` (boolean) Whether to automatically apply a credit balance to an invoice. If the value is true, the credit balance is applied to the invoice. If the value is false, no action is taken. To view the credit balance adjustment, retrieve the details of the invoice using the Get Invoices method. Prerequisite: invoice must be true. Note: - If you are using the field invoiceCollect rather than the field invoice, the invoiceCollect value must be true. - This field is deprecated if you have the Invoice Settlement feature enabled. - `autoRenew` (boolean) If true, this subscription automatically renews at the end of the subscription term. This field is only required if the termType field is set to TERMED. Example: true - `collect` (boolean) Collects an automatic payment for a subscription. The collection generated in this operation is only for this subscription, not for the entire customer account. If the value is true, the automatic payment is collected. If the value is false, no action is taken. Prerequisite: The invoice or runBilling field must be true. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 196.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - `contractEffectiveDate` (string, required) Effective contract date for this subscription, as yyyy-mm-dd Example: "2024-07-16" - `creditMemoReasonCode` (string) A code identifying the reason for the credit memo transaction that is generated by the request. The value must be an existing reason code. If you do not pass the field or pass the field with empty value, Zuora uses the default reason code. - `customerAcceptanceDate` (string) The date on which the services or products within a subscription have been accepted by the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `documentDate` (string) The date of the billing document, in yyyy-mm-dd format. It represents the invoice date for invoices, credit memo date for credit memos, and debit memo date for debit memos. - If this field is specified, the specified date is used as the billing document date. - If this field is not specified, the date specified in the targetDate is used as the billing document date. - `externallyManagedBy` (string) An enum field on the Subscription object to indicate the name of a third-party store. This field is used to represent subscriptions created through third-party stores. Enum: "Amazon", "Apple", "Google", "Roku" - `gatewayId` (string) The ID of the payment gateway instance. For example, 2c92c0f86078c4d5016091674bcc3e92. If Payment Gateway Routing is enabled: - If this field is not specified, gateway routing rules will be invoked. - If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: - If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. - If this field is specified, the specified gateway will be used to process the payment. - `initialTerm` (integer) The length of the period for the first subscription term. If termType is TERMED, then this field is required, and the value must be greater than 0. If termType is EVERGREEN, this field is ignored. Example: 12 - `initialTermPeriodType` (string) The period type for the first subscription term. This field is used with the InitialTerm field to specify the initial subscription term. Values are: * Month (default) * Year * Day * Week - `invoiceOwnerAccountKey` (string) Invoice owner account number or ID. Note: This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `invoiceSeparately` (boolean) Separates a single subscription from other subscriptions and invoices the charge independently. If the value is true, the subscription is billed separately from other subscriptions. If the value is false, the subscription is included with other subscriptions in the account invoice. The default value is false. Prerequisite: The default subscription setting Enable Subscriptions to be Invoiced Separately must be set to Yes. - `lastBookingDate` (string) The last booking date of the subscription object. This field is writable only when the subscription is newly created as a first version subscription. You can override the date value when creating a subscription through the Subscribe and Amend API or the subscription creation UI (non-Orders). Otherwise, the default value today is set per the user's timezone. The value of this field is as follows: * For a new subscription created by the [Subscribe and Amend APIs](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Orders_Harmonization/Orders_Migration_Guidance#Subscribe_and_Amend_APIs_to_Migrate), this field has the value of the subscription creation date. * For a subscription changed by an amendment, this field has the value of the amendment booking date. * For a subscription created or changed by an order, this field has the value of the order date. - `notes` (string) The notes for the subscription. - `paymentMethodId` (string) The ID of the payment method used for the payment. - `prepayment` (boolean) Indicates whether the subscription will consume the reserved payment amount of the customer account. See [Prepaid Cash with Drawdown](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Invoicing/JA_Advanced_Consumption_Billing/Prepaid_Cash_with_Drawdown) for more information. - `renewalSetting` (string) Specifies whether a termed subscription will remain termed or change to evergreen when it is renewed. Values: * RENEW_WITH_SPECIFIC_TERM (default) * RENEW_TO_EVERGREEN - `renewalTerm` (integer, required) The length of the period for the subscription renewal term. Default is 0. Example: 12 - `renewalTermPeriodType` (string) The period type for the subscription renewal term. This field is used with the renewalTerm field to specify the subscription renewal term. Values are: * Month (default) * Year * Day * Week - `runBilling` (boolean) Creates an invoice for a subscription. If you have the Invoice Settlement feature enabled, a credit memo might also be created based on the [invoice and credit memo generation rule](https://knowledgecenter.zuora.com/CB_Billing/Invoice_Settlement/Credit_and_Debit_Memos/Rules_for_Generating_Invoices_and_Credit_Memos). The billing documents generated in this operation is only for this subscription, not for the entire customer account. Note: This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 211.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). Possible values: - true: An invoice is created. If you have the Invoice Settlement feature enabled, a credit memo might also be created. - false: No invoice is created. - `serviceActivationDate` (string) The date on which the services or products within a subscription have been activated and access has been provided to the customer, as yyyy-mm-dd. Default value is dependent on the value of other fields. See Notes section for more details. - `subscribeToRatePlans` (array, required) Container for one or more rate plans for this subscription. Example: [{"productRatePlanId":"8ad081dd9096ef9501909b40bb4e74a4"}] - `subscribeToRatePlans.chargeOverrides` (array) This optional container is used to override the quantity of one or more product rate plan charges for this subscription. - `subscribeToRatePlans.chargeOverrides.amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscribeToRatePlans.chargeOverrides.applyDiscountTo` (string) Specifies the type of charges that you want a specific discount to apply to. Values: * ONETIME * RECURRING * USAGE * ONETIMERECURRING * ONETIMEUSAGE * RECURRINGUSAGE * ONETIMERECURRINGUSAGE - `subscribeToRatePlans.chargeOverrides.billCycleDay` (string) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month the customer is billed. Values: 1-31 - `subscribeToRatePlans.chargeOverrides.billCycleType` (string) Specifies how to determine the billing day for the charge. When this field is set to SpecificDayofMonth, set the BillCycleDay field. When this field is set to SpecificDayofWeek, set the weeklyBillCycleDay field. Values: * DefaultFromCustomer * SpecificDayofMonth * SubscriptionStartDay * ChargeTriggerDay * SpecificDayofWeek - `subscribeToRatePlans.chargeOverrides.billingPeriod` (string) Billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Values: * Month * Quarter * Semi_Annual * Annual * Eighteen_Months * Two_Years * Three_Years * Five_Years * Specific_Months * Subscription_Term * Week * Specific_Weeks - `subscribeToRatePlans.chargeOverrides.billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: * AlignToCharge * AlignToSubscriptionStart * AlignToTermStart - `subscribeToRatePlans.chargeOverrides.billingTiming` (string) Billing timing for the charge for recurring charge types. Not avaliable for one time, usage, and discount charges. Values: * IN_ADVANCE (default) * IN_ARREARS - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration` (object) Container for charge model configuration data. Note: This field is only available if you have the High Water Mark, Pre-Rated Pricing, or Multi-Attribute Pricing charge models enabled. These charge models are available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldPerUnitRate` (string) The custom field that carries the per-unit rate for each usage record. For example, perUnitAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Per Unit Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.customFieldTotalAmount` (string) The custom field that carries the total amount to charge for a usage record. For example, totalAmount__c. This field is only available for the usage-based charges that use the Pre-Rated Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.chargeModelConfiguration.formula` (string) The pricing formula to calculate actual rating amount for each usage record. This field is only available for the usage-based charges that use the Multi-Attribute Pricing charge model. The charge model is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information. - `subscribeToRatePlans.chargeOverrides.description` (string) Description of the charge. - `subscribeToRatePlans.chargeOverrides.discountAmount` (number) Specifies the amount of fixed-amount discount. - `subscribeToRatePlans.chargeOverrides.discountLevel` (string) Specifies if the discount applies to the product rate plan only, the entire subscription, or to any activity in the account. Values: * rateplan * subscription * account - `subscribeToRatePlans.chargeOverrides.discountPercentage` (number) Percentage of discount for a percentage discount. - `subscribeToRatePlans.chargeOverrides.endDateCondition` (string) Defines when the charge ends after the charge trigger date. If the subscription ends before the charge end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the charge end date. Values: * Subscription_End * Fixed_Period * Specific_End_Date * One_Time - `subscribeToRatePlans.chargeOverrides.excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscribeToRatePlans.chargeOverrides.excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `subscribeToRatePlans.chargeOverrides.includedUnits` (number) Specifies the number of units in the base set of units for this charge. Must be >=0. - `subscribeToRatePlans.chargeOverrides.isAllocationEligible` (boolean) This field is used to identify if the charge segment is allocation eligible in revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscribeToRatePlans.chargeOverrides.isUnbilled` (boolean) This field is used to dictate how to perform the accounting during revenue recognition. Note: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support. - `subscribeToRatePlans.chargeOverrides.listPriceBase` (string) The list price base for the product rate plan charge. Values: * Per_Billing_Period * Per_Month * Per_Week * Per_Year * Per_Specific_Months - `subscribeToRatePlans.chargeOverrides.number` (string) Unique number that identifies the charge. Max 50 characters. System-generated if not provided. - `subscribeToRatePlans.chargeOverrides.numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. - `subscribeToRatePlans.chargeOverrides.originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is not updatable. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `subscribeToRatePlans.chargeOverrides.overagePrice` (number) Price for units over the allowed amount. - `subscribeToRatePlans.chargeOverrides.overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Values: * NoCredit * CreditBySpecificRate - `subscribeToRatePlans.chargeOverrides.price` (number) Price for units in the subscription rate plan. - `subscribeToRatePlans.chargeOverrides.priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. The Billing Admin setting Enable Automatic Price Change When Subscriptions are Renewed? must be set to Yes to use this field. Values: * NoChange (default) * SpecificPercentageValue * UseLatestProductCatalogPricing - `subscribeToRatePlans.chargeOverrides.priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Required if you set the PriceChangeOption field to SpecificPercentageValue. Value must be a decimal between -100 and 100. - `subscribeToRatePlans.chargeOverrides.productRatePlanChargeId` (string, required) ID of a product rate-plan charge for this subscription. - `subscribeToRatePlans.chargeOverrides.productRatePlanChargeNumber` (string) Number of a product rate-plan charge for this subscription. - `subscribeToRatePlans.chargeOverrides.quantity` (number) Number of units. Must be a decimal >=0. When using chargeOverrides for creating subscriptions with recurring charge types, the quantity field must be populated when the charge model is "Tiered Pricing" or "Volume Pricing". It is not required for "Flat Fee Pricing" charge model. - `subscribeToRatePlans.chargeOverrides.ratingGroup` (string) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `subscribeToRatePlans.chargeOverrides.specificBillingPeriod` (integer) Specifies the number of month or week for the charges billing period. Required if you set the value of the billingPeriod field to Specific_Months or Specific_Weeks. - `subscribeToRatePlans.chargeOverrides.specificEndDate` (string) Defines when the charge ends after the charge trigger date. Note: * This field is only applicable when the endDateCondition field is set to Specific_End_Date. * If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `subscribeToRatePlans.chargeOverrides.specificListPriceBase` (integer) The number of months for the list price base of the charge. This field is required if you set the value of the listPriceBase field to Per_Specific_Months. Note: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `subscribeToRatePlans.chargeOverrides.tiers` (array) Container for Volume, Tiered, or Tiered with Overage charge models. Supports the following charge types: * One-time * Recurring * Usage-based - `subscribeToRatePlans.chargeOverrides.tiers.endingUnit` (number) End number of a range of units for the tier. - `subscribeToRatePlans.chargeOverrides.tiers.price` (number, required) Price of the tier if the charge is a flat fee, or the price of each unit in the tier if the charge model is tiered pricing. - `subscribeToRatePlans.chargeOverrides.tiers.priceFormat` (string) Indicates if pricing is a flat fee or is per unit. Values: * FlatFee * PerUnit - `subscribeToRatePlans.chargeOverrides.tiers.startingUnit` (number) Starting number of a range of units for the tier. - `subscribeToRatePlans.chargeOverrides.tiers.tier` (integer, required) Unique number that identifies the tier that the price applies to. - `subscribeToRatePlans.chargeOverrides.triggerDate` (string) Specifies when to start billing the customer for the charge. Required if the triggerEvent field is set to USD. - `subscribeToRatePlans.chargeOverrides.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: * UCE * USA * UCA * USD - `subscribeToRatePlans.chargeOverrides.unusedUnitsCreditRates` (number) Specifies the rate to credit a customer for unused units of usage. This field applies only for overage charge models when the OverageUnusedUnitsCreditOption field is set to CreditBySpecificRate. - `subscribeToRatePlans.chargeOverrides.upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Note: You must use this field together with the upToPeriodsType field to specify the time period. * This field is applicable only when the endDateCondition field is set to Fixed_Period. * If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `subscribeToRatePlans.chargeOverrides.upToPeriodsType` (string) The period type used to define when the charge ends. Values: * Billing_Periods * Days * Weeks * Months * Years You must use this field together with the upToPeriods field to specify the time period. This field is applicable only when the endDateCondition field is set to Fixed_Period. - `subscribeToRatePlans.chargeOverrides.weeklyBillCycleDay` (string) Specifies which day of the week is the bill cycle day (BCD) for the charge. Values: * Sunday * Monday * Tuesday * Wednesday * Thursday * Friday * Saturday - `subscribeToRatePlans.externalCatalogPlanId` (string) An external ID of the product rate plan to be added. You can use this field to specify a product rate plan that is imported from an external system. The value of the externalCatalogPlanId field must match one of the values that are predefined in the externallyManagedPlanIds field on a product rate plan. Note: If both externalCatalogPlanId and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscribeToRatePlans.externalIdSourceSystem` (string) The ID of the external source system. You can use this field and externalCatalogPlanId to specify a product rate plan that is imported from an external system. Note: If both externalCatalogPlanId, externalIdSourceSystem and productRatePlanId are provided. They must point to the same product rate plan. Otherwise, the request would fail. - `subscribeToRatePlans.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `subscribeToRatePlans.productRatePlanId` (string) ID of a product rate plan for this subscription. - `subscribeToRatePlans.productRatePlanNumber` (string) Number of a product rate plan for this subscription. - `subscriptionNumber` (string) Subscription Number. The value can be up to 1000 characters. If you do not specify a subscription number when creating a subscription, Zuora will generate a subscription number automatically. If the account is created successfully, the subscription number is returned in the subscriptionNumber response field. - `targetDate` (string) Date through which to calculate charges if an invoice or a credit memo is generated, as yyyy-mm-dd. Default is current date. Note: - This field is available only if you are on the latest Zuora API minor version, or you set the Zuora-Version request header to 211.0 or [a later available version](https://developer.zuora.com/v1-api-reference/api-versions/#minor-version). - The credit memo is only available if you have the Invoice Settlement feature enabled. - `termStartDate` (string) The date on which the subscription term begins, as yyyy-mm-dd. If this is a renewal subscription, this date is different from the subscription start date. - `termType` (string, required) Possible values are: TERMED, EVERGREEN. Example: "TERMED" - `CpqBundleJsonId__QT` (string) The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field. - `OpportunityCloseDate__QT` (string) The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `OpportunityName__QT` (string) The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteBusinessType__QT` (string) The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteNumber__QT` (string) The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `QuoteType__QT` (string) The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes. - `IntegrationId__NS` (string) ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `IntegrationStatus__NS` (string) Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `Project__NS` (string) The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SalesOrder__NS` (string) The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). - `SyncDate__NS` (string) Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265). ## Response 200 fields (application/json): - `contractedMrr` (number) Monthly recurring revenue of the subscription. - `creditMemoId` (string) The credit memo ID, if a credit memo is generated during the subscription process. Note: This container is only available if you set the Zuora REST API minor version to 207.0 or later [available versions](https://developer.zuora.com/api-references/api/overview/#section/API-Versions/Minor-Version) in the request header, and you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. - `invoiceId` (string) Invoice ID, if an invoice is generated during the subscription process. - `paidAmount` (number) Payment amount, if a payment is collected. - `paymentId` (string) Payment ID, if a payment is collected. - `subscriptionId` (string) - `subscriptionNumber` (string) - `success` (boolean) Returns true if the request was processed successfully. - `totalContractedValue` (number) Total contracted value of the subscription. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.